import argparse
from colorama import init, Fore
import sys

parser = argparse.ArgumentParser()
parser.add_argument('filename')  
parser.add_argument('-v', '--verbose', action='store_true', help='Activer le mode verbose')
parser.add_argument('-e', '--erreur', action='store_true', help="Affiche les messages d'erreurs")
args = parser.parse_args()

def verbose(msg):
    if args.verbose:
        print(Fore.CYAN + f"{msg}")

def verboseWhite(msg):
    if args.verbose:
        print(Fore.WHITE + f"{msg}")

def verboseYellow(msg):
    if args.verbose:
        print(Fore.YELLOW + f"{msg}")

def verboseBlue(msg):
    if args.verbose:
        print(Fore.BLUE + f"{msg}")

def verboseGreen(msg):
    if args.verbose:
        print(Fore.GREEN + f"{msg}")

def verboseMagenta(msg):
    if args.verbose:
        print(Fore.MAGENTA + f"{msg}")

def verboseRed(msg):
    if args.verbose:
        print(Fore.RED + f"{msg}")

def erreur(msg):
    if args.erreur:
        print(Fore.RED + f"{msg}")
        print(Fore.RESET)
    sys.exit()
    